/**
 ** Copyright (c) 2002-2003 LAAS/CNRS 
 **
 ** Sara Fleury 
 **
 ** $Source$
 ** $Revision$
 ** $Date$
 ** 
 **/

/* 
 *  The functions and macros used by the codels that depend on
 *  the number of the sick module
 *
 */

#ifndef SICK_X_HEADER_H
#define SICK_X_HEADER_H

/* ----  SICK 2 ------------------------------------------------------ */
#ifdef SICK2

#define SICK_SCANPOLAR_POSTER_ID  SICK2_SCANPOLAR_POSTER_ID
#define SICK_SCANPOLAR_POSTER_STR SICK2_SCANPOLAR_POSTER_STR
#define SICK_SCANCART_POSTER_ID   SICK2_SCANCART_POSTER_ID
#define SICK_SCANCART_POSTER_STR  SICK2_SCANCART_POSTER_STR
#define SICK_SEGS_POSTER_ID       SICK2_SEGS_POSTER_ID
#define SICK_SEGS_POSTER_STR      SICK2_SEGS_POSTER_STR

#define SICK_SCANTASK_NUM SICK2_SCANTASK_NUM

#include "server/sick2Header.h"
#include "server/sick2PosterLib.h"
#include "server/sickError.h"
#include "server/sick2PosterWriteLibProto.h"

#define sickScanPolarHeaderPosterWrite sick2ScanPolarHeaderPosterWrite
#define sickScanCartHeaderPosterWrite  sick2ScanCartHeaderPosterWrite
#define sickScanPolarRhoPosterWrite sick2ScanPolarRhoPosterWrite
#define sickScanCartPointsPosterWrite sick2ScanCartPointsPosterWrite
#define sickScanPolarPosterWrite sick2ScanPolarPosterWrite
#define sickScanCartPosterWrite sick2ScanCartPosterWrite

/* ----  SICK  ------------------------------------------------------ */
#else

#include "server/sickHeader.h"
#include "server/sickPosterLib.h"
#include "server/sickPosterWriteLibProto.h"

#endif


#endif /* SICK_X_HEADER_H */
